/* General Styles */
.pb-section-2col .columns-wrap {
    display: grid;
    grid-gap: 0;
}

.pb-section-2col p:last-child {
    margin-bottom: 0;
}

.pb-section-2col .leftcol,
.pb-section-2col .rightcol {
    position: relative;
    
}

@media (max-width: 767px) {

    .pb-section-2col .leftcol {
        margin-bottom: 60px;

    }
}

@media (min-width: 768px) {

.pb-section-2col .column.valign-top {
    align-self: start; 
    height: 100%;
}

.pb-section-2col .leftcol.has-text {
    margin-right: 30px;
}
.pb-section-2col .rightcol.has-text {
    margin-left: 30px;
}


}

@media (min-width: 1280px) {
.pb-section-2col .leftcol.has-text {
    margin-right: 60px;
}
.pb-section-2col .rightcol.has-text {
    margin-left: 60px;
}
}



.pb-section-2col .leftcol.valign-top .content-wrap,
.pb-section-2col .rightcol.valign-top .content-wrap {
    display: flex;
    /* align-content: space-between; */
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;

}

.pb-section-2col .leftcol.valign-top .content-wrap.valign-center,
.pb-section-2col .rightcol.valign-top .content-wrap.valign-center {
    justify-content: center;

}

.pb-section-2col .leftcol.valign-top .content-wrap.valign-bottom,
.pb-section-2col .rightcol.valign-top .content-wrap.valign-bottom {
    justify-content: flex-end;

}

.pb-section-2col .leftcol.valign-top .content-wrap.valign-top,
.pb-section-2col .rightcol.valign-top .content-wrap.valign-top {
    justify-content: flex-start;

}


.pb-section-2col.bg-white.has-bgimage .content-block,
.pb-section-2col.bg-white.preset-bgimage-thatch-bottom-right .content-block,
.pb-section-2col.bg-white.preset-bgimage-thatch-bottom-left .content-block,
.pb-section-2col.bg-white.preset-bgimage-thatch-top-right .content-block,
.pb-section-2col.bg-white.preset-bgimage-thatch-top-left .content-block {
background-color: var(--colour-white);
    }

    .pb-section-2col.bg-light-grey.has-bgimage .content-block,
    .pb-section-2col.bg-light-grey.preset-bgimage-thatch-bottom-right .content-block,
    .pb-section-2col.bg-light-grey.preset-bgimage-thatch-bottom-left .content-block,
    .pb-section-2col.bg-light-grey.preset-bgimage-thatch-top-right .content-block,
    .pb-section-2col.bg-light-grey.preset-bgimage-thatch-top-left .content-block {
background-color: var(--colour-background-light);
    }




.pb-section-2col {
    color: var(--colour-teal-dark);
}

.pb-section-2col .content-block.block-diff-bg,
.pb-section-2col .column-btn-wrap.block-diff-bg {
    padding: 20px;
}


.pb-section-2col .column.bg-white,
.pb-section-2col .column.bg-light-grey,
.pb-section-2col .column.bg-teal-light,
.pb-section-2col .content-block.bg-white,
.pb-section-2col .content-block.bg-light-grey,
.pb-section-2col .content-block.bg-teal-light {
    color: var(--colour-teal-dark);
}


.pb-section-2col .column.bg-teal,
.pb-section-2col .column.bg-teal-dark,
.pb-section-2col .column.bg-teal-mid,
.pb-section-2col .column.bg-orange,
.pb-section-2col .column.bg-black,
.pb-section-2col .content-block.bg-teal,
.pb-section-2col .content-block.bg-teal-dark,
.pb-section-2col .content-block.bg-teal-mid,
.pb-section-2col .content-block.bg-orange,
.pb-section-2col .content-block.bg-black {
    color: var(--colour-white);
}


.pb-section-2col .column.bg-white :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .column.bg-light-grey :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .column.bg-teal-light :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-white :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-light-grey :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-teal-light :is(h1,h2,h3,h4,h5,h6) {
    color: var(--colour-teal-dark);
}

.pb-section-2col .column.bg-teal :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .column.bg-teal-dark :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .column.bg-teal-mid :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .column.bg-orange :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .column.bg-black :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-teal :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-teal-dark :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-teal-mid :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-orange :is(h1,h2,h3,h4,h5,h6),
.pb-section-2col .content-block.bg-black :is(h1,h2,h3,h4,h5,h6) {
    color: var(--colour-white);
}


.pb-section-2col .column.bg-white :is(p,li) > a,
.pb-section-2col .column.bg-light-grey :is(p,li) > a,
.pb-section-2col .content-block.bg-white :is(p,li) > a,
.pb-section-2col .content-block.bg-light-grey :is(p,li) > a {
    color: var(--colour-teal-mid);
    text-decoration: underline;
}

.pb-section-2col .column.bg-teal-light :is(p,li) > a,
.pb-section-2col .content-block.bg-teal-light :is(p,li) > a {
    color: var(--colour-teal-dark);
    text-decoration: underline;
}

.pb-section-2col .column.bg-teal :is(p,li) > a,
.pb-section-2col .column.bg-teal-dark :is(p,li) > a,
.pb-section-2col .column.bg-teal-mid :is(p,li) > a,
.pb-section-2col .column.bg-orange :is(p,li) > a,
.pb-section-2col .column.bg-black :is(p,li) > a,
.pb-section-2col .content-block.bg-teal :is(p,li) > a,
.pb-section-2col .content-block.bg-teal-dark :is(p,li) > a,
.pb-section-2col .content-block.bg-teal-mid :is(p,li) > a,
.pb-section-2col .content-block.bg-orange :is(p,li) > a,
.pb-section-2col .content-block.bg-black :is(p,li) > a {
    color: var(--colour-white);
    text-decoration: underline;
}

.pb-section-2col .image-wrap {
    position: relative;
}

/* Button Styles */
.pb-section-2col a.btn {
    margin-top: 2rem;
}

/* Responsive Grid Layouts */
@media (min-width: 768px) {
    .pb-section-2col .columns-wrap {
        grid-template-columns: 1fr 1fr;
        grid-gap: 0;
    }

    .pb-section-2col.column-width-80-20 .columns-wrap {
        grid-template-columns: 8fr 2fr;
    }

    .pb-section-2col.column-width-70-30 .columns-wrap {
        grid-template-columns: 7fr 3fr;
    }

    .pb-section-2col.column-width-60-40 .columns-wrap {
        grid-template-columns: 6fr 4fr;
    }

    .pb-section-2col.column-width-50-50 .columns-wrap {
        grid-template-columns: 1fr 1fr;
    }

    .pb-section-2col.column-width-40-60 .columns-wrap {
        grid-template-columns: 4fr 6fr;
    }

    .pb-section-2col.column-width-30-70 .columns-wrap {
        grid-template-columns: 3fr 7fr;
    }

    .pb-section-2col.column-width-35-65 .columns-wrap {
        grid-template-columns: 35fr 65fr;
    }

    .pb-section-2col.column-width-65-35 .columns-wrap {
        grid-template-columns: 65fr 35fr;
    }

    .pb-section-2col.column-width-20-80 .columns-wrap {
        grid-template-columns: 2fr 8fr;
    }
}

/* Image Styles */
@media (max-width: 1799px) {
    .pb-section-2col .rightcol.has-image img {
        min-width: 0 !important;
    }
}


@media (max-width: 767px) {

    .pb-section-2col .rightcol.has-image {
        padding-top: 30px;
    }

    .pb-section-2col .leftcol.has-image {
        padding-top: 30px;
        order: 2;
    }

    .pb-section-2col .rightcol.has-text {
        padding-left: 0;
    }

    .pb-section-2col .leftcol.has-text {
        padding-right: 0;
    }

}

@media (min-width: 768px) {
    .pb-section-2col-columns-wrap img.img-respect-width-retina,
    .pb-section-2col-columns-wrap img.img-respect-width-noresize {
        margin: 10px;
        width: auto;
    }
}

@media (min-width: 1100px) {
    .pb-section-2col-extra-padding-rightcol {
        padding-left: 80px;
    }

    .pb-section-2col-extra-padding-leftcol {
        padding-right: 80px;
    }

    .pb-section-2col .large-paragraph-heading {
        margin: 50px 0;
    }
}

.pb-section-2col .has-image-and-text .image-wrap {
    margin-bottom: 6rem;
}



.pb-section-2col .column.valign-center {
    align-self: center;
}

.pb-section-2col .column.valign-bottom {
    align-self: end;
}


.pb-section-2col .content-block + .content-block {
    margin-top: 4rem;
}


.column-footer-image-wrap img {
    display: block;
    max-width: 100%;
    height: auto;
        margin: 0 auto;
}

.column-footer-image-wrap.border-top-teal-dark {
    border-top: 25px solid var(--colour-teal-dark);
}
.column-footer-image-wrap.border-top-teal-light {
    border-top: 25px solid var(--colour-teal-light);
}
.column-footer-image-wrap.border-top-teal {
    border-top: 25px solid var(--colour-teal);
}
.column-footer-image-wrap.border-top-teal-mid {
    border-top: 25px solid var(--colour-teal-mid);
}
.column-footer-image-wrap.border-top-orange {
    border-top: 25px solid var(--colour-orange);
}
.column-footer-image-wrap.border-top-black {
    border-top: 25px solid var(--colour-black);
}
.column-footer-image-wrap.border-top-white {
    border-top: 25px solid var(--colour-white);
}
.column-footer-image-wrap.border-top-light-grey {
    border-top: 25px solid var(--colour-light-grey);
}

